NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.Die.FillBuilder Class Reference

Represents an Area Fill feature More...

Inheritance diagram for NXOpen.Die.FillBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe NXOpen.Body[] GetFillShape ()
 Gets the fill shape of the area fill More...
 
unsafe NXOpen.IProfile[] GetRegionBounds (out NXOpen.Die.DirectionOption direction)
 Gets the region bounds of the area fill More...
 
unsafe void SetFillShape (NXOpen.Body[] bodies)
 Sets the fill shape of the area fill More...
 
unsafe void SetRegionBounds (NXOpen.Die.DirectionOption direction, NXOpen.IProfile[] profileEntries)
 Sets the region bounds of the area fill More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe double AngleTolerance [get, set]
 Returns or sets the angle tolerance of the area fill More...
 
unsafe bool CopyAndMirror [get, set]
 Returns or sets the copy and mirror setting of the area fill More...
 
unsafe double DistanceTolerance [get, set]
 Returns or sets the distance tolerance of the area fill More...
 
unsafe bool FillForAddendum [get, set]
 Returns or sets the fill for addendum setting of the area fill More...
 
unsafe NXOpen.ISurface MirrorPlane [get, set]
 Returns or sets the plane to mirror the area fill about More...
 
unsafe NXOpen.Point PointInRegion [get, set]
 Returns or sets the point in region of the area fill More...
 
unsafe NXOpen.Features.Feature TippedProduct [get, set]
 Returns or sets the tipped product of the area fill More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents an Area Fill feature

To create a new instance of this class, use NXOpen.Die.DieCollection.Fill

Created in NX4.0.0

Member Function Documentation

unsafe NXOpen.Body [] NXOpen.Die.FillBuilder.GetFillShape ( )
inline

Gets the fill shape of the area fill

Created in NX4.0.0

License requirements: die_engineering ("DIE ENGINEERING")

Returns
bodies
unsafe NXOpen.IProfile [] NXOpen.Die.FillBuilder.GetRegionBounds ( out NXOpen.Die.DirectionOption  direction)
inline

Gets the region bounds of the area fill

Created in NX4.0.0

License requirements: die_engineering ("DIE ENGINEERING")

Parameters
directionProfile direction
Returns
profile entries
unsafe void NXOpen.Die.FillBuilder.SetFillShape ( NXOpen.Body[]  bodies)
inline

Sets the fill shape of the area fill

Created in NX4.0.0

License requirements: die_engineering ("DIE ENGINEERING")

Parameters
bodiesbodies
unsafe void NXOpen.Die.FillBuilder.SetRegionBounds ( NXOpen.Die.DirectionOption  direction,
NXOpen.IProfile[]  profileEntries 
)
inline

Sets the region bounds of the area fill

Created in NX4.0.0

License requirements: die_engineering ("DIE ENGINEERING")

Parameters
directionProfile direction
profileEntriesprofile entries

Property Documentation

unsafe double NXOpen.Die.FillBuilder.AngleTolerance
getset

Returns or sets the angle tolerance of the area fill

Created in NX4.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe bool NXOpen.Die.FillBuilder.CopyAndMirror
getset

Returns or sets the copy and mirror setting of the area fill

Created in NX4.0.1

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe double NXOpen.Die.FillBuilder.DistanceTolerance
getset

Returns or sets the distance tolerance of the area fill

Created in NX4.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe bool NXOpen.Die.FillBuilder.FillForAddendum
getset

Returns or sets the fill for addendum setting of the area fill

Created in NX4.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe NXOpen.ISurface NXOpen.Die.FillBuilder.MirrorPlane
getset

Returns or sets the plane to mirror the area fill about

Created in NX4.0.1

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe NXOpen.Point NXOpen.Die.FillBuilder.PointInRegion
getset

Returns or sets the point in region of the area fill

Created in NX4.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe NXOpen.Features.Feature NXOpen.Die.FillBuilder.TippedProduct
getset

Returns or sets the tipped product of the area fill

Created in NX4.0.0

License requirements to get this property: die_engineering ("DIE ENGINEERING")

License requirements to set this property: die_engineering ("DIE ENGINEERING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.